Subject: Re: [PATCH net-next 1/8] net: core: neighbour: Add a neigh_fill_info() helper for when lock not held

From: Petr Machata <[email-masked]>
Date: Mon, 19 Jan 2026 13:25:36 +0100

Petr Machata <[email-masked]> writes:

> Kuniyuki Iwashima <[email-masked]> writes:
>
>> On Wed, Jan 14, 2026 at 1:56 AM Petr Machata <[email-masked]> wrote:
>>
>>> @@ -2684,6 +2680,20 @@ static int neigh_fill_info(struct sk_buff *skb, struct neighbour *neigh,
>>>         return -EMSGSIZE;
>>>  }
>>>
>>> +static int neigh_fill_info(struct sk_buff *skb, struct neighbour *neigh,
>>> +                          u32 pid, u32 seq, int type, unsigned int flags)
>>> +       __releases(neigh->lock)
>>> +       __acquires(neigh->lock)
>>
>> nit: Does Sparse complain without these annotations even
>> a function has a paired lock/unlock ops ?
>
> Actually it doesn't. Should I respin for this?

I'll be respinning anyway, so I'll include this as well.